//
//Written by GowinSynthesis
//Tool Version "V1.9.9.03 (64-bit)"
//Tue May 28 15:49:41 2024

//Source file index table:
//file0 "\C:/Gowin/Gowin_V1.9.9.03_x64/IDE/ipcore/FIFO_HS/data/fifo_hs.v"
//file1 "\C:/Gowin/Gowin_V1.9.9.03_x64/IDE/ipcore/FIFO_HS/data/fifo_hs_top.v"
`timescale 100 ps/100 ps
`pragma protect begin_protected
`pragma protect version="2.3"
`pragma protect author="default"
`pragma protect author_info="default"
`pragma protect encrypt_agent="GOWIN"
`pragma protect encrypt_agent_info="GOWIN Encrypt Version 2.3"

`pragma protect encoding=(enctype="base64", line_length=76, bytes=256)
`pragma protect key_keyowner="GOWIN",key_keyname="GWK2023-09",key_method="rsa"
`pragma protect key_block
HBNA+/9oSsy54/JlKoiN4gbbgk61v4S0vzu1SlxVV1FpSHLGFM3OwH9RYuOhFT+UXDcUiyGSTSim
K+dcHv0CeFpV/YQWR5St8DdQGG+R45m6XWDErYGEafyEor0OduRaUiVP0XYqOL50oW/9d9x2NNiT
ln6/o/IJCxIEaVblBTKR3tD4Ofb06tQw/6ZuEVhgWtapp5r+TlGiaQP6jx3uNfn+NBjuwyUzYkQ0
MJjDVvgoM3zUdhRo+JtyCKggxSnoc2ym6iCL/mV/5ly8CtyjxhgYzms2pS3M3jxp5ii+uQ3L2s40
krH8Dc9bcX5adde2FYFmhmRyz3sc5c38ia3cWA==

`pragma protect encoding=(enctype="base64", line_length=76, bytes=7872)
`pragma protect data_keyowner="default-ip-vendor"
`pragma protect data_keyname="default-ip-key"
`pragma protect data_method="aes128-cfb"
`pragma protect data_block
[encoded data, 10626 characters]
LUKcX1Is
`pragma protect end_protected
module FifoDDS (
  Data,
  Reset,
  WrClk,
  RdClk,
  WrEn,
  RdEn,
  Q,
  Empty,
  Full
)
;
input [79:0] Data;
input Reset;
input WrClk;
input RdClk;
input WrEn;
input RdEn;
output [79:0] Q;
output Empty;
output Full;
wire VCC;
wire GND;
  \~fifo.FifoDDS  fifo_inst (
    .Reset(Reset),
    .RdClk(RdClk),
    .WrClk(WrClk),
    .WrEn(WrEn),
    .RdEn(RdEn),
    .Data(Data[79:0]),
    .Empty(Empty),
    .Full(Full),
    .Q(Q[79:0])
);
  VCC VCC_cZ (
    .V(VCC)
);
  GND GND_cZ (
    .G(GND)
);
  GSR GSR (
    .GSRI(VCC) 
);
endmodule /* FifoDDS */
